<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Renumbering the nodes to decrease the profile</TITLE>
<META NAME="description" CONTENT="Renumbering the nodes to decrease the profile">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node358.html">
<LINK REL="previous" HREF="node356.html">
<LINK REL="up" HREF="node354.html">
<LINK REL="next" HREF="node358.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html5535"
  HREF="node358.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html5531"
  HREF="node354.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html5525"
  HREF="node356.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html5533"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html5536"
  HREF="node358.html">Determining the matrix structure.</A>
<B> Up:</B> <A NAME="tex2html5532"
  HREF="node354.html">Determining the matrix structure</A>
<B> Previous:</B> <A NAME="tex2html5526"
  HREF="node356.html">De-cascading the MPC's</A>
 &nbsp; <B>  <A NAME="tex2html5534"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H3><A NAME="SECTION000105300000000000000">
Renumbering the nodes to decrease the profile</A>
</H3>

<P>
The profile of a matrix is obtained by marking in each column the uppermost
nonzero entry. This way one gets a kind of skyscraper picture. Reducing the profile as much as
possible by renumbering the nodes usually speeds up the solution of the
equation system. This is done using an algorithm published by Sloan ([<A
 HREF="node378.html#Sloan">72</A>]) in
subroutine renumber.f. It not only takes the topology of the elements into
account, it can also take care of additional equations introduced by
<A HREF="node239.html#equation">*EQUATION</A> 
or <A HREF="node261.html#mpc">*MPC</A> statements. Although it is primarily effective when
using a profile solver [<A
 HREF="node378.html#Zienkiewicz">80</A>], it seems to have a beneficial effect on the solver
time of SPOOLES as well. Therefore, it is always activated.

<P>
<BR><HR>
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
